export const getMetadataFromUrl = async (videoUrl?: string) => {
  if (typeof videoUrl === 'undefined') {
    return {};
  }

  if (typeof window !== 'undefined') {
    const { getMetadataFromUrl: client } = await import('./client');
    return client(videoUrl);
  }

  // TODO server side
  return {};
};

export * from './common';
